#include <zephyr/kernel.h>
#include <zephyr/device.h>
#include <zephyr/drivers/gpio.h>
#include <zephyr/sys/printk.h>

static const struct gpio_dt_spec spec = GPIO_DT_SPEC_GET(DT_ALIAS(newpin), testpin_gpios);

int main(void)
{
    int ret;

    if (!gpio_is_ready_dt(&spec)) {
        printk("Error: GPIO device %s is not ready\n", spec.port->name);
        return 0;
    }

    ret = gpio_pin_configure_dt(&spec, GPIO_OUTPUT_ACTIVE);
    if (ret < 0) {
        printk("Error %d: Failed to configure GPIO pin\n", ret);
        return 0;
    }

    printk("Setting GPIO HIGH on %d \n",spec.pin);

    /* Set GPIO HIGH */
    gpio_pin_set_dt(&spec, 1);

    while (1) {
        k_sleep(K_MSEC(500));
        gpio_pin_set_dt(&spec, 0);
        k_sleep(K_MSEC(500));
        gpio_pin_set_dt(&spec, 1);
    }
	return 0;
}
